## xdg-desktop-portal-regolith 0.3.8-1

=== meson_options.txt ===
option('systemduserunitdir', type: 'string', value: '', description: 'Custom directory to install systemd user units.')

## xdg-desktop-portal-regolith 0.3.4-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.4-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 17 Feb 2024 19:45:52 +0000

xdg-desktop-portal-regolith (0.3.4) focal; urgency=medium

  * fix: install file set incorrect
  * fix: remove arch specific path in install file
  * fix: leave x11 session name as 'regolith'

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 23 Jan 2024 18:05:45 -0800

xdg-desktop-portal-regolith (0.3.3) focal; urgency=medium

  * refactor: fork portal config file based on x11/wayland session type

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 20 Jan 2024 10:43:41 -0800

xdg-desktop-portal-regolith (0.3.2-1) focal; urgency=medium

  * fix: add desktop session portals conf for Regolith
  * chore: remove upstream localization files

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 02 Jan 2024 14:35:09 -0800

xdg-desktop-portal-regolith (0.3.1-1) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * fix: register all the gnome interfaces with xdp in the portal file

  [ Regolith Linux ]
  * fix: throw error as described in docs to avoid crash
  * chore: enable debug logging in portal backend for development, to be reverted in the future
  * chore: remove dead code from upstream

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 02 Jan 2024 11:13:06 -0800

xdg-desktop-portal-regolith (0.3.0-1) focal; urgency=medium

  * feat: implement no-op services for those provided by gnome backend

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 01 Jan 2024 12:43:44 -0800

xdg-desktop-portal-regolith (0.2.0-1) focal; urgency=medium

  * feat: add (empty) settings to test

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 31 Dec 2023 16:26:08 -0800

xdg-desktop-portal-regolith (0.1.0-1) focal; urgency=medium

  * Initial Release 

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 05 Oct 2021 07:27:39 -0700

=== debian/control ===
Source: xdg-desktop-portal-regolith
Section: x11
Priority: optional
Maintainer: Ken Gilmer <kgilmer@gmail.com>
Build-Depends: debhelper (>= 10),
               gettext,
               libgtk-4-dev,
               meson,
               libglib2.0-dev,
               valac-0.56-vapi,
               po-debconf, 
               valac-bin, 
               intltool
Standards-Version: 4.1.2
Homepage: https://github.com/regolith-linux/xdg-desktop-portal-regolith

Package: xdg-desktop-portal-regolith
Architecture: any
Depends: 
  ${shlibs:Depends}, 
  ${misc:Depends},
  libjsonrpc-glib-1.0-dev
Description: Regolith XDG Portal backend
 Provides access to desktop features to sandboxed apps.

Package: xdg-desktop-portal-regolith-x11-config
Architecture: any
Depends: 
  xdg-desktop-portal-regolith
Description: Regolith X11 XDG Portal configuration file

Package: xdg-desktop-portal-regolith-wayland-config
Architecture: any
Depends: 
  xdg-desktop-portal-regolith
Description: Regolith Wayland XDG Portal configuration file

## xdg-desktop-portal-regolith 0.3.5-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.5-1regolith-bookworm) bookworm; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 25 Aug 2024 19:37:11 -0700

xdg-desktop-portal-regolith (0.3.5) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * fix: explicitly assign problematic portal interfaces (that fallback to gnome) to regolith portal

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 03 Apr 2024 14:59:14 -0700

## xdg-desktop-portal-regolith 0.3.6-1-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.6-1-1regolith-plucky) plucky; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 05 Apr 2025 22:17:53 +0000

xdg-desktop-portal-regolith (0.3.6-1) jammy; urgency=medium

  * UNRELEASED

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 10 Feb 2025 12:09:37 -0500

xdg-desktop-portal-regolith (0.3.5-4) jammy; urgency=medium

  [ Anudeep Sanapala ]
  * feat: Implement set_wallpaper_uri method in Wallpaper.Portal (#3)

  [ Khosrow Moossavi ]
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * chore: use regolith-ci-bot user and token
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Feb 2025 19:32:56 +0000

xdg-desktop-portal-regolith (0.3.5-3) jammy; urgency=medium

  * fix: update package dependency to use variant also available on jammy

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 30 Dec 2024 11:26:57 -0800

xdg-desktop-portal-regolith (0.3.5-2) jammy; urgency=medium

  * fix: add missing systemd dependency to control to fix build on oracular

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 19 Oct 2024 14:21:59 -0700

## xdg-desktop-portal-regolith 0.3.7-1-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.7-1-1regolith-plucky) plucky; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 17 Jun 2025 21:20:50 +0000

xdg-desktop-portal-regolith (0.3.7-1) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

  [ Ken Gilmer ]
  * fix: build regression on plucky.  Seems like meson cannot find correct dependency without updating debian package dependency to slightly different name (#13)
  * fix: remove unused build dep (#15)
  * Revert "fix: remove unused build dep (#15)"

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 06 Apr 2025 16:53:31 +0000

=== debian/control ===
Source: xdg-desktop-portal-regolith
Section: x11
Priority: optional
Maintainer: Ken Gilmer <kgilmer@gmail.com>
Build-Depends: debhelper (>= 10),
               gettext,
               intltool,
               libglib2.0-dev,
               libgtk-4-dev,
               meson,
               po-debconf,
               systemd-dev,
               valac-0.56-vapi,
               valac-bin
Standards-Version: 4.1.2
Homepage: https://github.com/regolith-linux/xdg-desktop-portal-regolith

Package: xdg-desktop-portal-regolith
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends},
  libjsonrpc-glib-1.0-dev
Description: Regolith XDG Portal backend
 Provides access to desktop features to sandboxed apps.

Package: xdg-desktop-portal-regolith-x11-config
Architecture: any
Depends:
  xdg-desktop-portal-regolith
Description: Regolith X11 XDG Portal configuration file

Package: xdg-desktop-portal-regolith-wayland-config
Architecture: any
Depends:
  xdg-desktop-portal-regolith
Description: Regolith Wayland XDG Portal configuration file

## xdg-desktop-portal-regolith 0.3.7-3-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.7-3-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 17 Jun 2025 21:19:06 +0000

xdg-desktop-portal-regolith (0.3.7-3) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request
  * chore: use correct branch for building jammy

  [ Ken Gilmer ]
  * fix: remove systemd dep on jammy

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 06 Apr 2025 16:58:47 +0000

## xdg-desktop-portal-regolith 0.3.8-1-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.8-1-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 22 Jan 2026 22:04:53 +0000

xdg-desktop-portal-regolith (0.3.8-1) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * fix: dark mode not working (#18)
  * feat: use none instead of regolith backend for disabling interfaces
  * chore: update dependencies to restrict version

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Nov 2025 02:43:43 +0000

=== debian/control ===
--- 
+++ 
@@ -27,11 +27,11 @@
 Package: xdg-desktop-portal-regolith-x11-config
 Architecture: any
 Depends:
-  xdg-desktop-portal-regolith
+  xdg-desktop-portal (>=1.20)
 Description: Regolith X11 XDG Portal configuration file
 
 Package: xdg-desktop-portal-regolith-wayland-config
 Architecture: any
 Depends:
-  xdg-desktop-portal-regolith
+  xdg-desktop-portal (>=1.20)
 Description: Regolith Wayland XDG Portal configuration file

## xdg-desktop-portal-regolith 0.3.8-2-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.8-2-1regolith-bookworm) bookworm; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Nov 2025 02:45:42 +0000

xdg-desktop-portal-regolith (0.3.8-2) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * fix: dark mode not working (#18)

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Nov 2025 02:44:50 +0000

xdg-desktop-portal-regolith (0.3.7-2) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 06 Apr 2025 16:55:06 +0000

xdg-desktop-portal-regolith (0.3.6-2) jammy; urgency=medium

  * UNRELEASED

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 10 Feb 2025 12:12:25 -0500

## xdg-desktop-portal-regolith 0.3.8-3-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.8-3-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 22 Jan 2026 22:07:23 +0000

xdg-desktop-portal-regolith (0.3.8-3) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * fix: dark mode not working (#18)

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Nov 2025 02:44:36 +0000

## xdg-desktop-portal-regolith 0.3.9-1-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.9-1-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 27 Jan 2026 17:25:20 +0000

xdg-desktop-portal-regolith (0.3.9-1) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * fix: disable newly added gnome xdp interfaces

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 27 Jan 2026 17:24:27 +0000

## xdg-desktop-portal-regolith 0.3.9-2-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.9-2-1regolith-bookworm) bookworm; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 27 Jan 2026 17:27:25 +0000

xdg-desktop-portal-regolith (0.3.9-2) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * feat: use none instead of regolith backend for disabling interfaces
  * fix: disable newly added gnome xdp interfaces

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 27 Jan 2026 17:26:22 +0000

## xdg-desktop-portal-regolith 0.3.9-3-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.9-3-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 27 Jan 2026 17:26:49 +0000

xdg-desktop-portal-regolith (0.3.9-3) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * feat: use none instead of regolith backend for disabling interfaces
  * fix: disable newly added gnome xdp interfaces

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 27 Jan 2026 17:26:06 +0000

## xdg-desktop-portal-regolith 0.3.10-1-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.10-1-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 02 Feb 2026 01:44:17 +0000

xdg-desktop-portal-regolith (0.3.10-1) jammy; urgency=medium

  * UNRELEASED

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 31 Jan 2026 17:41:53 +0000

## xdg-desktop-portal-regolith 0.3.10-2-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.10-2-1regolith-bookworm) bookworm; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 30 Jan 2026 20:37:57 +0000

xdg-desktop-portal-regolith (0.3.10-2) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * Revert "fix: disable newly added gnome xdp interfaces"

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 30 Jan 2026 20:37:02 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                libgtk-4-dev,
                meson,
                po-debconf,
-               systemd-dev,
                valac-0.56-vapi,
                valac-bin
 Standards-Version: 4.1.2
@@ -27,11 +26,11 @@
 Package: xdg-desktop-portal-regolith-x11-config
 Architecture: any
 Depends:
-  xdg-desktop-portal (>=1.20)
+  xdg-desktop-portal-regolith
 Description: Regolith X11 XDG Portal configuration file
 
 Package: xdg-desktop-portal-regolith-wayland-config
 Architecture: any
 Depends:
-  xdg-desktop-portal (>=1.20)
+  xdg-desktop-portal-regolith
 Description: Regolith Wayland XDG Portal configuration file

## xdg-desktop-portal-regolith 0.3.10-3-1regolith

=== debian/changelog ===
xdg-desktop-portal-regolith (0.3.10-3-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 30 Jan 2026 20:38:06 +0000

xdg-desktop-portal-regolith (0.3.10-3) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * Revert "fix: disable newly added gnome xdp interfaces"

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 30 Jan 2026 20:37:28 +0000
